Create a Dataflow

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
POST /dataflows

Create a Dataflow.

application/json

Body

  • name string

    name of the Dataflow

  • description string

    description of the Dataflow

  • errorNotificationEmail string

    The email or email addresses to send error notifications to. Multiple emails must be separated by a comma.

  • enableErrorEmailNotifications string

    Indicates if the error email notifications will be enabled.

  • owningEntity string

    owner of the Dataflow

  • trustedEntities array
  • entity string

    id of the Entity that has access to the Dataflow

  • accessLevel string

    Access Level

  • CREATED_DATE string

    Creation date of the Dataflow

  • MODIFIED_DATE string

    Modified date of the Dataflow

  • CREATED_BY string

    name of entity that created the Dataflow

  • MODIFIED_BY string

    name of entity last modified the Dataflow

  • _id string

    id of the Dataflow

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • name string Required

      name of the Dataflow

    • description string

      description of the Dataflow

    • owningEntity string

      owner of the Dataflow

    • trustedEntities array
    • entity string

      id of the Entity that has access to the Dataflow

    • accessLevel string

      Access Level

    • CREATED_DATE string

      Creation date of the Dataflow

    • MODIFIED_DATE string

      Modified date of the Dataflow

    • CREATED_BY string

      name of entity that created the Dataflow

    • MODIFIED_BY string

      name of entity last modified the Dataflow

    • _id string

      id of the Dataflow

    • errorNotificationEmail string

      The email or email addresses to send error notifications to. Multiple emails must be separated by a comma.

    • enableErrorEmailNotifications string

      Indicates if the error email notifications will be enabled.

POST /dataflows
curl \
 --request POST 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "name": "string",
  "description": "string",
  "errorNotificationEmail": "string",
  "enableErrorEmailNotifications": "string",
  "owningEntity": "string",
  "trustedEntities": [],
  "entity": "string",
  "accessLevel": "string",
  "CREATED_DATE": "string",
  "MODIFIED_DATE": "string",
  "CREATED_BY": "string",
  "MODIFIED_BY": "string",
  "_id": "string"
}'
Request examples
{
  "name": "string",
  "description": "string",
  "errorNotificationEmail": "string",
  "enableErrorEmailNotifications": "string",
  "owningEntity": "string",
  "trustedEntities": [],
  "entity": "string",
  "accessLevel": "string",
  "CREATED_DATE": "string",
  "MODIFIED_DATE": "string",
  "CREATED_BY": "string",
  "MODIFIED_BY": "string",
  "_id": "string"
}
Response examples (200)
{
  "name": "tes55",
  "description": "test 5",
  "owningEntity": "demo_5",
  "trustedEntities": [
    {
      "entity": "5684058f159fffbe29ff9913",
      "accessLevel": "READWRITE"
    }
  ],
  "CREATED_DATE": "2016-04-24T03:14:48.797Z",
  "MODIFIED_DATE": "2016-04-24T03:14:48.797Z",
  "CREATED_BY": "5684058f159fffbe29ff9912",
  "MODIFIED_BY": "5684058f159fffbe29ff9912",
  "_id": "571c3a28d5ae983a0060b57f"
}